%define         pypiname          pyproj

Name:           python-pyproj
Version:        3.0.0.post1
Release:        %mkrel 1

Summary:        A Python interface to PROJ4
License:        MIT
Group:          Development/Python

Url:            https://pypi.python.org/pypi/pyproj
Source0:        https://pypi.io/packages/source/p/pyproj/%{pypiname}-%{version}.tar.gz


BuildRequires:  pkgconfig(proj)
BuildRequires:  proj

%description
A Python interface to PROJ4.


%package -n python3-%{pypiname}
Summary:        A Python3 interface to PROJ4
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(cython)
BuildRequires:  python3dist(setuptools)
Requires:       proj
%{?python_provide:%python_provide python3-%{pypiname}}

%description -n python3-%{pypiname}
A Python 3 interface to PROJ4.


%prep
%setup -q -n %{pypiname}-%{version}
%autopatch -p1
# Remove bundled egg-info
%__rm -rf %{pypiname}.egg-info


%build
export PROJ_DIR=%{_prefix}
export PROJ_LIBDIR=%{_libdir}

%py3_build


%install
%py3_install


%files -n python3-%{pypiname}
%doc LICENSE README.md
%{_bindir}/pyproj
%{python3_sitearch}/pyproj
%{python3_sitearch}/%{pypiname}-%{version}-py?.?.egg-info


%changelog
* Sun Dec 06 2020 eatdirt <eatdirt> 3.0.0.post1-1.mga8
+ Revision: 1653800
- Upgrade to version 3.0.0.post1

* Fri Mar 20 2020 eatdirt <eatdirt> 2.6.0-2.mga8
+ Revision: 1558171
- Rebuild for new libproj

* Wed Mar 18 2020 eatdirt <eatdirt> 2.6.0-1.mga8
+ Revision: 1557793
- Upgrade to version 2.6.0

* Sun Feb 16 2020 umeabot <umeabot> 2.1.3-3.mga8
+ Revision: 1533161
- Mageia 8 Mass Rebuild

* Thu Sep 19 2019 daviddavid <daviddavid> 2.1.3-2.mga8
+ Revision: 1443753
- rebuild for python3.8
- drop python2 support

* Wed Apr 17 2019 eatdirt <eatdirt> 2.1.3-1.mga7
+ Revision: 1392081
- Upgrade to version 2.1.3

* Sat Mar 09 2019 eatdirt <eatdirt> 1.9.6-2.mga7
+ Revision: 1373340
- Rebuild and fix for new libproj 6.0

* Tue Jan 08 2019 shlomif <shlomif> 1.9.6-1.mga7
+ Revision: 1352216
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.9.5.1-4.mga7
+ Revision: 1300576
- Mageia 7 Mass Rebuild

* Sat Mar 17 2018 daviddavid <daviddavid> 1.9.5.1-3.mga7
+ Revision: 1210097
- rebuild for new proj 5.0.0
- rename python-pyproj to python2-pyproj

* Tue Oct 31 2017 eatdirt <eatdirt> 1.9.5.1-2.mga7
+ Revision: 1175127
- Add missing requires to proj

* Fri Oct 27 2017 eatdirt <eatdirt> 1.9.5.1-1.mga7
+ Revision: 1174031
- imported package python-pyproj

